import { ClickResult } from '../../../../typing';
import { ActionWidget } from '../../../component';
export declare class PopupCancelActionWidget extends ActionWidget {
    protected get label(): any;
    private onCancel;
    protected get type(): string;
    protected clickAction(): Promise<ClickResult>;
    protected clickActionAfter(result: ClickResult): ClickResult;
}
